package com.realnet.dashb.Controllers;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import com.fasterxml.jackson.core.JsonProcessingException;
import org.springframework.web.bind.annotation.CrossOrigin;
import com.fasterxml.jackson.databind.JsonMappingException;
import com.realnet.config.EmailService;
import com.realnet.users.entity1.AppUser;
import com.realnet.users.service1.AppUserServiceImpl;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.springframework.data.domain.*;
import com.realnet.fnd.response.EntityResponse;
import org.springframework.http.*;
import org.springframework.beans.factory.annotation.*;
import com.realnet.dashb.Entity.Testc;
import com.realnet.dashb.Services.TestcService ;










@RequestMapping(value = "/Testc")
 @CrossOrigin("*") 
@RestController
public class TestcController {
	@Autowired
	private TestcService Service;

@Value("${projectPath}")
	private String projectPath;
 










	@PostMapping("/Testc")
		  public Testc Savedata(@RequestBody Testc data) {
		Testc save = Service.Savedata(data)	;









		System.out.println("data saved..." + save);

 return save;
	  }
@PutMapping("/Testc/{id}")
	public  Testc update(@RequestBody Testc data,@PathVariable Integer id ) {
		Testc update = Service.update(data,id);
		System.out.println("data update..." + update);
		return update;
	}	 
//	get all with pagination
	@GetMapping("/Testc/getall/page")
	public Page<Testc> getall(@RequestParam(value = "page", required = false) Integer page,
			@RequestParam(value = "size", required = false) Integer size) {
		Pageable paging = PageRequest.of(page, size);
		Page<Testc> get = Service.getAllWithPagination(paging);

		return get;

	}	
	@GetMapping("/Testc")
	public List<Testc> getdetails() {
		 List<Testc> get = Service.getdetails();		
		return get;
}
// get all without authentication 

	@GetMapping("/token/Testc")
	public List<Testc> getallwioutsec() {
		 List<Testc> get = Service.getdetails();		
		return get;
}
@GetMapping("/Testc/{id}")
	public  Testc  getdetailsbyId(@PathVariable Integer id ) {
		Testc  get = Service.getdetailsbyId(id);
		return get;
	}
@DeleteMapping("/Testc/{id}")
	public  ResponseEntity<?> delete_by_id(@PathVariable Integer id ) {
	Service.delete_by_id(id);
			return new ResponseEntity<>(new EntityResponse("Deleted"), HttpStatus.OK);
	
	}











}